version: '3'
services:


  nginx:
    hostname: nginx
    # container_name: mynginx
    restart: unless-stopped
    image: nginx:1.25.3
    ports:
      - 80:80
    volumes:
      # - ./my-server.conf:/etc/nginx/conf.d/default.conf:ro
      - ./nginx-custom.conf:/etc/nginx/conf.d/static.conf
    networks:
      - myapp

  
  fast:
    image: "my-1st-devops"
    restart: unless-stopped
    depends_on:
      - nginx
    command: ["uvicorn","main:app","--host","0.0.0.0","--port","80","--reload"]
    working_dir: /app
    ports:
      - 8000:80
  #  volumes:
  #    - .:/app
    environment:
     - PYTHONUNBUFFERED=1
    networks:
     - myapp


networks:
  myapp:
    driver: bridge
